StartupEvents.registry('palladium:abilities', (event) => {
	event.create('viper/thunder_clap')
	.icon(palladium.createItemIcon('palladium:vibranium_circuit'))
	.documentationDescription('Sonic Boom')
	.addProperty('damage', 'float', 8, 'Ability damage')
	.addProperty('damage_type', 'string', 'minecraft:player_attack', 'Damage typing applied')
	.addProperty('by', 'string', '@s', 'Entity that inflicts damage')
	.addProperty('range', 'float', 6.5, 'Sets how many blocks the ability processes')
	.firstTick((entity, entry, holder, enabled) => {
	const damage = entry.getPropertyByName('damage');
	const damageType = entry.getPropertyByName('damage_type');
	const by = entry.getPropertyByName('by');
	const range = entry.getPropertyByName('range');
	let target = entity.rayTrace(range).entity;
	entity.runCommandSilent('particle minecraft:sonic_boom ^ ^1 ^2');
	entity.runCommandSilent('particle minecraft:sonic_boom ^ ^1 ^4');
	entity.runCommandSilent('particle minecraft:sonic_boom ^ ^1 ^6');
	entity.runCommandSilent('playsound minecraft:entity.warden.sonic_boom ambient @a ~ ~ ~');
	if (target !== null && target.isAlive()) {
	entity.runCommandSilent(`damage ${target.uuid} ${damage} ${damageType} by ${by}`);
	}
	});
	});